Package com.sun.j3d.utils.timer

# Class J3DTimer

java.lang.Object
com.sun.j3d.utils.timer.J3DTimer

public class J3DTimer extends Object
Deprecated.
Use java.lang.System.nanoTime() instead.
A High Resolution interval timer. The timer resolution is operating system dependent and can be queried using getTimerResolution(). These methods are not reentrant and should not be called concurrently from multiple threads.

## Method Summary

Modifier and Type
Method
Description
`static long`
`getResolution()`
Deprecated.
Get the nanosecond resolution of the timer
`static long`
`getValue()`
Deprecated.
Get the timer value, in nanoseconds.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getValue

public static long getValue()
Deprecated.
Get the timer value, in nanoseconds. The initial value of the timer is OS dependent.

Returns:
  The current timer value in nanoseconds.

### getResolution

public static long getResolution()
Deprecated.
Get the nanosecond resolution of the timer

Returns:
  The timer resolution in nanoseconds.